All Data Structures Namespaces Files Functions Variables
HookEvent Class Reference

## Public Member Functions

| __construct ($hookName, $context, $params)
| __get ($key)

## Private Attributes

| $context
| $hookName
| $params

## Detailed Description

Event's parameters This classe is attached to a hook when fired

Definition at line 9 of file HookEvent.php.

## Constructor & Destructor Documentation

__construct | ( |  | $hookName,
|  |  | $context,
|  |  | $params
| ) |  |

Constructor

Definition at line 35 of file HookEvent.php.

{
$this->context = $context;
$this->hookName = $hookName;
$this->params = $params;
}
Tools\HookEvent\$hookName
$hookName
Definition: HookEvent.php:23
Tools\HookEvent\$context
$context
Definition: HookEvent.php:16
Tools\HookEvent\$params
$params
Definition: HookEvent.php:30

## Member Function Documentation

__get | ( |  | $key | ) |

Getter

Definition at line 45 of file HookEvent.php.

{
switch ($key)
{
case "hookName": return $this->hookName; break;
case "params": return $this->params; break;
}
throw new \Exception("Cannot access attribute {$key}");
}
Tools\HookEvent\$hookName
$hookName
Definition: HookEvent.php:23
Tools\HookEvent\$params
$params
Definition: HookEvent.php:30

## Field Documentation

Tools Context $context

private

/core/tools/Context.php Contains website's informations

Definition at line 16 of file HookEvent.php.

string $hookName

private

Contains hook name Can be accessed read-only

Definition at line 23 of file HookEvent.php.

$params

private

Definition at line 30 of file HookEvent.php.

The documentation for this class was generated from the following file:

- core/tools/HookEvent.php